# Interface StackMapFrameInfo.VerificationTypeInfo

All Known Subinterfaces:
  `StackMapFrameInfo.ObjectVerificationTypeInfo, StackMapFrameInfo.UninitializedVerificationTypeInfo`

All Known Implementing Classes:
  `StackMapFrameInfo.SimpleVerificationTypeInfo`

Enclosing interface:
  `StackMapFrameInfo`

public static sealed interface StackMapFrameInfo.VerificationTypeInfo permits StackMapFrameInfo.SimpleVerificationTypeInfo, StackMapFrameInfo.ObjectVerificationTypeInfo, StackMapFrameInfo.UninitializedVerificationTypeInfo
The type of a stack or local variable value.

See Java Virtual Machine Specification:
  4.7.4 The `StackMapTable` Attribute
Since:
  24
See Also:
  - `StackMapFrameInfo.locals()`
  - `StackMapFrameInfo.stack()`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ITEM_DOUBLE`
The `tag` for verification type info `DOUBLE`.
`static final int`
`ITEM_FLOAT`
The `tag` for verification type info `FLOAT`.
`static final int`
`ITEM_INTEGER`
The `tag` for verification type info `INTEGER`.
`static final int`
`ITEM_LONG`
The `tag` for verification type info `LONG`.
`static final int`
`ITEM_NULL`
The `tag` for verification type info `NULL`.
`static final int`
`ITEM_OBJECT`
The `tag` for verification type info `OBJECT`.
`static final int`
`ITEM_TOP`
The `tag` for verification type info `TOP`.
`static final int`
`ITEM_UNINITIALIZED`
The `tag` for verification type info `UNINITIALIZED`.
`static final int`
`ITEM_UNINITIALIZED_THIS`
The `tag` for verification type info `UNINITIALIZED_THIS`.

## Method Summary

Modifier and Type
Method
Description
`int`
`tag()`
Returns the tag of the type info.

## Field Details

### ITEM_TOP

static final int ITEM_TOP
The `tag` for verification type info `TOP`.

See Also:
  - Constant Field Values

### ITEM_INTEGER

static final int ITEM_INTEGER
The `tag` for verification type info `INTEGER`.

See Also:
  - Constant Field Values

### ITEM_FLOAT

static final int ITEM_FLOAT
The `tag` for verification type info `FLOAT`.

See Also:
  - Constant Field Values

### ITEM_DOUBLE

static final int ITEM_DOUBLE
The `tag` for verification type info `DOUBLE`.

See Also:
  - Constant Field Values

### ITEM_LONG

static final int ITEM_LONG
The `tag` for verification type info `LONG`.

See Also:
  - Constant Field Values

### ITEM_NULL

static final int ITEM_NULL
The `tag` for verification type info `NULL`.

See Also:
  - Constant Field Values

### ITEM_UNINITIALIZED_THIS

static final int ITEM_UNINITIALIZED_THIS
The `tag` for verification type info `UNINITIALIZED_THIS`.

See Also:
  - Constant Field Values

### ITEM_OBJECT

static final int ITEM_OBJECT
The `tag` for verification type info `OBJECT`.

See Also:
  - Constant Field Values

### ITEM_UNINITIALIZED

static final int ITEM_UNINITIALIZED
The `tag` for verification type info `UNINITIALIZED`.

See Also:
  - Constant Field Values

## Method Details

### tag

int tag()
Returns the tag of the type info.

API Note:
  `ITEM_`-prefixed constants in this class, such as `ITEM_TOP`, describe the possible return values of this method.
Returns:
  the tag of the type info